Subject: Re: IETF is not interested in redefinition of the root servers?

From: Harald Tveit Alvestrand <[email-masked]>
Date: Fri, 08 Jun 2001 11:57:41 +0200

FYI....

1) the IETF is the wrong place for this discussion
2) the mailing list [email-masked] (use Majordomo to join) is the
    right place for discussing these drafts.
    The General Assembly is the open forum of the Domain Name Supporting
    Organization of ICANN; the ga-roots list is a sublist created by the GA.
3) Simon Higgs has tried to use the IETF document publishing process to
    make it appear as if his ideas have support in the IETF. They don't.

(Note: The last point is only supported by 100% of the people I have talked 
to, but my selection criteria may be erratic, so don't take my word for it)

               Harald

At 16:55 31.05.2001 +0300, Anssi Porttikivi wrote:
>If you folks on this list think this is not the right group for this topic,
>I will not discuss it any more here. But regarding recent Internet drafts
>like
>
>S. Higgs: Alternative Roots and the Virtual Inclusive Root
>http://www.ietf.org/internet-drafts/draft-higgs-virtual-root-00.txt
>
>and
>
>S. Higgs: Root Zone Definitions
>http://www.ietf.org/internet-drafts/draft-higgs-root-defs-01.txt
>
>and RFCs like
>
>IAB Technical Comment on the Unique DNS Root
>http://community.roxen.com/developers/idocs/rfc/rfc2826.html
>
>there definitely seems to be interest within the "IETF" to such issues as
>redefinition of the root name structures. Can you point me to the more
>spesific right forums for this kind of discussion?
>
>-----Original Message-----
>From: Donald E. Eastlake 3rd [mailto:[email-masked]]
>Sent: 31. toukokuuta 2001 16:43
>To: Anssi Porttikivi
>Cc: [email-masked]
>Subject: Re: A letter hierarchy based scheme for arbitrary TLDs
>
>
>
>Hi,
>
>The message below is outside the charter of this working group.  It is
>a message entirely within the realm of ICANN/DNSO/USDOC/... NOT the
>IETF. Please do not post any further on this topic to this list.
>
>Thanks,
>Donald
>
>From:  Anssi Porttikivi <[email-masked]>
>Message-ID:  <[email-masked]>
>To:  [email-masked]
>Date:  Thu, 31 May 2001 14:02:17 +0300
>Content-Type:  text/plain;
>                 charset="iso-8859-1"
>Sender:  [email-masked]
>Precedence:  bulk
> >How about this:
> >
> >Let's SET UP NEW TOP LEVEL DOMAINS FOR ALL SINGLE LETTERS a., b.,...z. So
> >the top domains will be the classical ones + these new one letter TLDs.
> >
> >Now I want to have a name "anssi.abc." for my machine. I rewrite it (first
> >in my head) to be "anssi.a.b.c."
> >
> >I go to the "c." TLD server administration. I ask them, if anyone has
> >registered a "b.c." first level name with them. If such domain exists, I go
> >to its administrator, and ask, if they have a domain "a.b.c." already. And
> >so on, up to the letter, that is not yet served by anyone. If the domain
> >"a.b.c." already does exist, I can't register a new one. First come first
> >served.
> >
> >In this case, let's say the domain "b.c." did exist, but the domain
>"a.b.c."
> >did not. Now I register my "a.b.c." with the domain "b.c." administration.
> >There should be a rule, that single letter domains allow registration for
> >any unregistered single letter subdomains!
> >
> >So now I can set up names like "anssi.a.b.c." in my own name server,
>serving
> >the domain "a.b.c.", registered at "b.c.".
> >
> >NOW I MODIFY MY RESOLVER and ask everybody to do the same, if they please!
> >The new versions of resolvers are standardized to TRANSLATE ALL
>UNRECOGNISED
> >many-letter TLDs into a sequence of one letter domains. So "anssi.abc."
>will
> >be resolved as "anssi.a.b.c." domain.
> >
> >Additionally, domains "c.o.m.", "o.r.g." etc. and corresponding country
> >domains like "f.i." and "u.k." can be set up as peered, synonymous domains
> >for "com.", "org.", "fi., "uk." and such. So that the new resolvers would
> >not even have to know any list of special "recognizable" classic TLD
> >domains.
> >
> >Now anybody is free to set up whatever TLDs they want to!!!
> >
> >Old resolvers will work with the old TLDs.
> >
> >Old resolvers will kind of work with the new names, but only if you
> >translate manually, using "anssi.a.b.c" instead of "anssi.abc".
> >
> >New resolvers will work with all names, old and new, whether written as
> >"anssi.a.b.c." or "anssi.abc."
> >
> >[email-masked]
> >Data communications trainer/consultant
> >Teleware, Helsinki